@each $state, $value in $theme-colors {
  $alert-background: shift-color($value, $alert-bg-scale);
  $alert-border: shift-color($value, $alert-border-scale);
  $alert-color: shift-color($value, $alert-color-scale);
  @if (contrast-ratio($alert-background, $alert-color) < $min-contrast-ratio) {
    $alert-color: mix($value, color-contrast($alert-background), abs($alert-color-scale));
  }
  .color-#{$state} {
    --#{$prefix}alert-color: #{$alert-color};
    --#{$prefix}alert-bg: #{$alert-color};
    --#{$prefix}alert-border-color: #{$alert-border};

    // @todo: remove .alert-link  and enable line below when 5.2 is removed.
    //--#{$prefix}alert-link-color: shade-color($alert-color, 20%);

    .alert-link {
      color: shade-color($alert-color, 20%);
    }
  }
}

.bg-cu-gold {
  background-color: $primary !important;
}

.bg-cu-black {
  background-color: $black !important;
}

.bg-cu-light-gray {
  background-color: $light !important;
}

.bg-cu-dark-gray {
  background-color: $dark !important;
}

.br-cu-gold {
  border-color: $primary !important;
}

.br-cu-black {
  border-color: $black !important;
}

.br-cu-light-gray {
  border-color: $light !important;
}

.br-cu-dark-gray {
  border-color: $dark !important;
}

.text-cu-gold {
  color: $primary;
}

.text-cu-black {
  color: $black;
}

body.node-unpublished {
  background-color: rgba(255, 255, 0, 0.50);
}